Description

I'm trying to setup foreman + ansible on any distro that it will work on, but I'm having trouble on all of those I've tried (Ubuntu Bionic

18.04, Fedora 31 and CentOS 7).

Ubuntu 18.04 got me the furthest (actually brought up the web UI), but I was blocked from installing ansible due to some ruby conflict

about futures -- another issue mentioned it's better to try one of the RedHat based distros, so I thought I'd try CentOS, but I'm

blocked even sooner.

I've setup an install using the CentOS-7-x86_64-DVD-1908 iso, and freshly ran the commands from the quickstart here: 

https://theforeman.org/manuals/1.24/quickstart_guide.html, after selecting "CentOS, Scientific Linux or Oracle Linux 7".  Repeating

them here in case it changes:

sudo yum -y install https://yum.puppet.com/puppet6-release-el-7.noarch.rpm

sudo yum -y install http://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm

sudo yum -y install https://yum.theforeman.org/releases/1.24/el7/x86_64/foreman-release.rpm

sudo foreman-installer

This leaves me with something like this:

Preparing installation Done

Success!   * Foreman is running at https://foreman.mydomain.com

Initial credentials are admin / randopasswd   * Foreman Proxy is running at https://foreman.mydomain.com:8443   * Puppetmaster is

running at port 8140

The full log is at /var/log/foreman-installer/foreman.log

However navigating to the site in question leaves me with a connection time out.  (notably, following the same steps in Ubuntu got

me to the website at least).

hostname -f shows my full domain name (foreman.mydomain.com)

Are there any other steps to go about doing this?

History

#1 - 03/24/2020 12:57 AM - Besmir Zanaj

what does the log say?

#2 - 03/24/2020 04:14 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Need more information

Is there perhaps a Firewall in the way? Does the DNS also correctly resolve on the client?

#3 - 03/26/2020 07:11 PM - Eddie Parker

- Status changed from Need more information to Resolved
Ewoud Kohl van Wijngaarden wrote:

Is there perhaps a Firewall in the way? Does the DNS also correctly resolve on the client?

 This is actually what turned out to be the problem.  I needed to disable firewalld I believe to make it work.

Unfortunately then the ansible plugin failed to install due to a missing .so if I recall so I punted on installing foreman at this time.  I can probably close

this bug, I can re-open another one if I ever get back to foreman + ansible.
